﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using RobotView;

namespace Test_Console_CE
{
    public partial class WorldForm : Form
    {
        private WorldView worldView;

        public WorldForm()
        {
            InitializeComponent();
        }

        public WorldForm(RectangleF viewPort)
            :this()
        {
            this.worldView = new RobotView.WorldView(viewPort);
            this.SuspendLayout();

            this.worldView.Dock = System.Windows.Forms.DockStyle.Fill;
            //this.worldView.Location = new System.Drawing.Point(0, 0);
            this.worldView.Name = "worldView";
            this.worldView.TabIndex = 0;


            this.ResumeLayout(false);
            this.Controls.Add(this.worldView);
        }
    }
}