﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace RobotCtrl
{
    public class DigitalIn
    {
        private int data = 0;
        public virtual int Data
        {
            get { return data; }
            set { data = value; }
        }

        public virtual bool this[int bitIndex]
        {
            get { return(data & (1<<bitIndex)) != 0; }
            set { data = value ? data | (1<<bitIndex) : data &~(1<<bitIndex); }
        }

        /*Hier könnte auch BitVector32 oder BitArray eingesetzt werden.*/

        /*Um Properties zu debuggen: http://msdn.microsoft.com/en-us/library/cc667388.aspx)*/
    }
}
